# coding: utf-8
#
# BMPC Music Player Client
#
# Copyright (C) 2015 Itaï BEN YAACOV
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from gi.repository import Gtk

import ampd

from bmpc import component


class Command(component.Component):
    title = _("Execute MPD commands")
    name = 'command'
    key = '7'

    def __init__(self, *args):
        super(Command, self).__init__(*args)
        self.widget = Gtk.Box(orientation=Gtk.Orientation.VERTICAL, visible=True)
        self.label = Gtk.Label(max_width_chars=50, wrap=True, visible=True)
        self.entry = Gtk.Entry(visible=True)
        self.entry.connect('activate', self.entry_activate_cb)
        self.widget.pack_start(self.label, True, True, 0)
        self.widget.pack_end(self.entry, False, False, 0)

    def start(self, win):
        self.entry.grab_focus()
        super(Command, self).start(win)

    @ampd.worker
    def entry_activate_cb(self, entry):
        reply = yield ampd._raw(entry.get_text())
        self.label.set_label('\n'.join(str(x) for x in reply) if reply else _("Empty reply"))


__components__ = [Command]
